#ifndef ETC_H
#define ETC_H

/* Nombre d'lments dans un tableau */
#define NB_ELM(x)	(sizeof(x)/sizeof((x)[0]))

typedef struct {
	int signe;
	char *ptr;
} ARGP;

typedef struct {
	int signe;
	char *ptr;		/* Premier arguments de cet option */
	int  nbptr;		/* Nombre de fois que cet option a t rencontr */
	char **ptrs;	/* Texte de toutes les options incluant la premire */
	int  *signes;	/* Signe de chaque option incluant la premire */
} ARGP_MULTI;

typedef struct {
	const char *str;		/* Chaine cl */
	int   next;				/* Item suivant dans liste li ou -1 */
	/* Data doit etre a un alignement valide pour n'importe quel */
	/* quel genre de data */
	char  data[1];			/* Copie du data associ */
	/* ... */
} HASHELM;

typedef struct {
	int nbelm;		/* Nombre d'lment couramment dans le vecteur */
	int maxelm;		/* Nombre maximum d'lment dans le vecteur */
	int minelm;		/* Nombre d'lment  ajouter  elms quand nbelm */
					/* dborde maxelm */
	int sizdata;	/* Dimension du data associ */
	int nbindx;		/* Nombre d'lment dans l'index */
	int freeelm;	/* Premier item libre dans elms */
					/* Si == -1, aucun libre, on prend nbelm */
	int *index;
	HASHELM *elms;
} HASHCTL;


#endif
/*~PROTO~*/
#ifndef ETC_P
#define ETC_P

/* #define strip(x,y) str_strip(x,y)*/

#if	defined(CPU_SPARC) || defined(CPU_68000) || defined(CPU_MIPS) || defined(CPU_PARISC)
#define size_align(len,var) ((var) += ((len)&3) ? 4 - ((len)&3) : 0)
#else
#define size_align(len,var)
#endif

#ifndef __STDIO_DEF_
#include <stdio.h>
#endif

#include "etc.p"

#endif


