#include <stdio.h>
#include <fcntl.h>
#include "etc.h"
#include "etc.m"

/*
	Ouvre un fichier avec open en signalant erreur
	avec error_printf()
	Retourne -1 si erreur
*/
export int open_err (
	const char *fname,
	int   mode,
	int acces,		/* Sert seulement avec O_CREAT */
	int quit)		/* Termine execution si erreur */
{
	int f = open (fname,mode,acces);
	if (f == -1){
		fprintf (stderr,MSG_R(E_CANTOPEN),fname);
		if (quit) exit(-1);
	}
	return (f);
}

