#include <ctype.h>
#include <stdio.h>
#include "etc.h"
/*
	Ecrit une chaine entre deux <> et en placant des \ si requis.
*/
export void strf_putesc (FILE *fout,const char *str)
{
	/* #Spcification: autoftp / format fichiers texte / escape
		Les fichiers de controles sont en format ASCII. Certains champs
		peuvent contenir des espaces. Pour interprter correctement ces
		champs, ils sont placs entre <>. Le caractre \ est utilis comme
		"escape" lorsqu'un caractre > fait partie du champs. De plus si
		le caractre \ fait partie du champs, il y aura un \ devant.
	*/
	char buf[300];
	char *pt = buf;
	*pt++ = '<';
	while (*str != '\0'){
		if (*str == '>'
			|| *str == '\\'){
			*pt++ = '\\';
		}
		*pt++ = *str++;
	}
	*pt++ = '>';
	*pt = '\0';
	fputs (buf,fout);
}


/*
	Ecrit un nombre int entre deux <>
*/
export void strf_putint (FILE *fout,int nombre)
{
	fprintf (fout," %d",nombre);
}
/*
	Ecrit un nombre long entre deux <>
*/
export void strf_putlong (FILE *fout,long nombre)
{
	fprintf (fout," %ld",nombre);
}

