/*
	Lecture de token lexicaux avec filtrage syntaxique
*/
#include "lexc.h"
#include "lexc.m"


/*
    retourne un token, si le token fait partie de tb[][0] appelle recursivement
    pour sauter jusqu'au match, au retour tok contient le dernier token lue

    Les tokens sont regenere sur l'output a mesure
    Retourne -1 si plus de token, 0 sinon
*/
export int token_getskip (
	TOKEN *tok,
	TOK_TYPE tb[][2],
	int      nbtok)
{
	int ok = -1;
	if (token_get(tok)!=-1){
		int i;
		ok = 0;
        outsrc_prttoken (tok);
        for (i=0; i<nbtok; i++){
			if (tb[i][0] == tok->type){
				TOKEN token;
                int   ret;
				char *mark = token_getmarktxt();
                while ((ret=token_getskip(&token,tb,nbtok))!=-1
                    && token.type != tb[i][1]){
					token_setmarktxt(mark);
				}
                if (ret == -1){
					fprintf (stderr,MSG_B(E_NOMATCH
						,"Match %s ligne %d.%d\n"
						,"Match %s line %d.%d\n")
                        ,token_txt(tok),tok->noline,tok->nocar);
                }
                break;
			}
		}
	}
	return (ok);
} 
