Summary: Various development tools for Linuxconf (yet general purpose)
Name: linuxconf-tools
Version: TOOLS_VERSION
Release: TOOLS_RPMREV
Vendor: Solucorp
Copyright: GPL
Group: development/tools
Source: ftp://ftp.solucorp.qc.ca/pub/linuxconf/tools/linuxconf-tools-TOOLS_VERSION.src.tar.gz
BuildRoot: /tmp/tools-root
Packager: Jacques Gelinas <jack@solucorp.qc.ca>

%description
This is a set of tools used in the Linuxconf project. Those tools are of
general interest. They include a powerful C/C++ prototype extractor,
documentation system and a revision control system.

You do not need this just to compile Linuxconf. You may need this
if you intend to modify linuxconf (not essential, nicer though).

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
if [ "$RPM_BUILD_ROOT" != "" -a "$RPM_BUILD_ROOT" != "/" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi
export RPM_BUILD_ROOT
make install

%clean
if [ "$RPM_BUILD_ROOT" != "" -a "$RPM_BUILD_ROOT" != "/" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
/usr/bin/tlcc
/usr/bin/tlproto
/usr/bin/clsform
/usr/bin/nadoc
/usr/bin/crossfix
/usr/bin/proto
/usr/bin/projetX
/usr/bin/prjexpr
/usr/bin/pdiff
/usr/lib/linuxconf-tools
%doc proto/protoe.man
