#include <string.h>
#include "ostool.h"
#include "commun.h"

/*
	Compare deux paths
	Retourne 0 si egaux, < 0 si path1 < path2, > 0 si path1 > path2
	Convertit les path en absolue avant de comparer. Cela permet de vrifier
	si deux paths font rfrence au mme fichier
*/
export int path_cmp (const char *path1, const char *path2)
{
	char abs1[MAXSIZ_PATH];
	char abs2[MAXSIZ_PATH];
	path_setabs (path1,abs1);
	path_setabs (path2,abs2);
	return strcmp (abs1,abs2);
}

