#include <string.h>
#include <ctype.h>
#include "tool.h"
/*
	Extrait les premier ou les dernier membres d'un path
	pathfile peut etre identique a elms

	elms contiendra toujours un path relatif, meme si nbelm == 0.
*/
export void path_extrelms (
	char const *pathfile,
	char *elms,
	int nbmem)			/* Nombre des premiers membre  extraire */
						/* Si nbmem est ngatif, alors elms contiendra */
						/* la fin */
{
	char tmp[MAXSIZ_PATH];
    char *pt = tmp;
	int nbskip = nbmem > 0 ? nbmem : -nbmem;
	strcpy (tmp,pathfile);
	if (path_issep(pt[0])) pt++;
	while (*pt != '\0' && nbskip > 0){
		if (path_issep(*pt)) nbskip--;
		pt++;
	}
	if (nbmem > 0){
		char tempo = *pt;
		*pt = '\0';
		strcpy (elms,tmp);
		*pt = tempo;
		path_stripsep (elms,elms);
	}else{
		strcpy (elms,pt);
	}
}

