#include <string.h>
#include "tool.h"

/*
	Retire l'aspect absolue d'un path.
	Retire le \ du dbut, ainsi que le drive

	dst peut tre le mme que src.
*/
export void path_stripabs (const char *src, char *dst)
{
	char tmp[MAXSIZ_PATH];
	if (dst == src){
		strcpy (tmp,src);
		src = tmp;
	}
	if (path_issep(*src)) src++;
	strcpy (dst,src);
}

/*
	Saute la portion absolue d'un path.
	Retourne aprs /.
*/
export char *path_skipabs (const char *path)
{
	if (path_issep(*path)) path++;
	return (char*)path;
}

