/* command.c 06/07/91 14.57.44 */
export int command_nbcall (void);
export int command_exec (const char *cmd);
export int command_fastexec (const char *cmd);
/* command1.c 14/01/92 22.14.40 */
export void command_jmpexec (const char *prg, const char *argstr);
/* command2.c 12/01/90 00.14.10 */
export int command_saveexec (const char *cmd, char *bufres, int len);
/* date.c 09/07/93 10.50.32 */
export short unsigned date_currentu (void);
export short unsigned date_a2u (const char *date);
export unsigned long date_td2l (short unsigned date, short unsigned timet);
export unsigned long date_td2l_dos (short unsigned date,
	 short unsigned time);
export unsigned long date_unix2dos (unsigned long date);
export int date_td2a (long datetime, char *str, int format);
/* dir.c 06/08/93 00.07.12 */
export int dir_gen (const char *path,
	 const char *select[],
	 const char *noselect[],
	 int subdir,
	 int (*fct)(const FILEINFO *info, const char *path, const char *add,
	 int nbf),
	 int depfirst);
export int dir_gen_h (const char *path,
	 const char *select[],
	 const char *noselect[],
	 int subdir,
	 int (*fct)(const FILEINFO *info, const char *path, const char *add,
	 int nbf),
	 int depfirst);
export int dir (const char *path,
	 const char *select,
	 int subdir,
	 int (*fct)(const FILEINFO *info, const char *path, const char *add,
	 int nbf));
/* dir2.c 06/08/93 00.07.48 */
export int dir_copystruct (const char *refpath, const char *wrkpath);
export int dir_delete (const char *path, const char *wild);
/* file.c 12/02/94 02.26.32 */
int file_statinfo (const char *fpath, FILEINFO *info);
export int file_info (const char *filnam,
	 unsigned long *date,
	 long *size);
export int file_infodos (const char *filnam,
	 unsigned long *date,
	 long *size);
export long file_size (const char *filnam);
export int file_type (char const *pathname);
export int file_exist (char const *pathname);
export int file_rename (const char *present, const char *nouveau);
export void file_chgext (const char *oldfile,
	 char *newfile,
	 const char *newext);
export int file_renameext (const char *nomfch,
	 const char *ext,
	 int force);
export int file_cmpext (const char *fname, const char *extcmp);
/* file1.c 06/08/93 00.08.52 */
export void file_baseext (const char *fname, char *base, char *ext);
export int file_iswild (const char *fpath);
export int file_correspond (const char *list1,
	 const char *elm1,
	 const char *list2,
	 char *elm2);
export int file_fromwild (const char *filename, const char *wildname);
/* file2.c 21/09/93 13.22.42 */
export unsigned long file_date (const char *filnam);
export unsigned long file_dosdate (const char *filnam);
export int file_touch (const char *filnam, int newp);
export int file_setdate (const char *fname, long date);
/* file4.c 04/03/94 10.08.10 */
export int file_findpath0 (const char *tbnom[],
	 int nbnom,
	 char *path);
export int file_findpath (const char *fichier, char *path);
export int file_findexe (const char *nomutil, char *path);
/* file5.c 30/08/93 13.34.38 */
export int file_unlink (const char *fpath);
export int file_mkdir (const char *fname);
export int file_rmdir (const char *fname);
/* file6.c 12/02/94 02.25.24 */
export int file_chown (const char *fname, int user, int group);
export int file_copy (const char *dirsrc,
	 const char *dirdst,
	 const char *namesrc,
	 const char *namedst);
export int file_copyp (const char *pathsrc, const char *pathdst);
/* file7.c 07/07/92 22.58.46 */
export int file_writeok (const char *fname);
export int file_setmode (const char *fname, int writeok);
/* filebak.c 30/01/94 00.29.54 */
export int filebak_before (const char *fname,
	 const char *extbak,
	 char *ftmp,
	 char *fwork);
export int filebak_ok (const char *DUM1,
	 const char *DUM2,
	 char *DUM3,
	 char *DUM4);
export int filebak_abort (const char *fname,
	 const char *DUM1,
	 char *ftmp,
	 char *DUM2);
/* lock.c 17/10/92 13.50.46 */
export int lock_set (const char *fname, int retry);
export int lock_unset (const char *fname);
/* mktime.c 10/02/93 02.26.26 */
time_t tool_mktime (struct tm *tm);
time_t mkgmtime (struct tm *tm);
/* path.c 06/08/93 00.09.56 */
export int path_issep (char carac);
export void path_filename (const char *path, char *name);
export void path_addback (char const *path, char *ret);
export void path_stripsep (char const *path, char *ret);
export void path_splitlex (char const *pathfile,
	 char *path,
	 char *file);
export void path_split (char const *path, char *prmpath, char *file);
export int path_parmsplit (char const *path,
	 char *newpath,
	 char *wild[]);
/* path1.c 15/07/94 16.42.20 */
export int path_simplifie (const char *path, char *newp);
export int path_setabs0 (const char *cwd,
	 const char *oldpath,
	 char *newp);
export int path_setabs (const char *oldpath, char *newp);
/* path2.c 06/08/93 00.10.30 */
export int path_getcwd (char *path, int buflen);
export int path_isroot (const char *path);
export int path_chdir (const char *newpath);
export int path_pushdir (const char *path, SAVEPATH *savepath);
export int path_popdir (SAVEPATH *savepath);
/* path3.c 21/10/89 01.04.42 */
export int path_varenvsplit (const char *nomvar, char *tb[]);
export int path_validate (void);
/* path5.c 29/06/94 13.03.28 */
export int path_isvalid (const char *path);
/* path6.c 08/01/92 21.31.42 */
export void path_extrelms (char const *pathfile, char *elms, int nbmem);
/* path7.c 06/05/91 17.08.16 */
export int path_isabs (const char *path);
/* path8.c 08/04/92 21.26.24 */
export void path_stripabs (const char *src, char *dst);
export char *path_skipabs (const char *path);
/* time.c 06/05/91 17.36.38 */
export short unsigned time_currentu (void);
export short unsigned time_a2u0 (const char *time, char separ);
export short unsigned time_a2u (const char *time);
export int time_u2a0 (short unsigned time, char *str, char separ);
export int time_u2a (short unsigned time, char *str);
/* vfilebak.c 05/08/93 14.51.20 */
export int vfilebak_before (const char *fname,
	 const char *extbak,
	 char *ftmp,
	 char *fwork);
export int vfilebak_ok (const char *, const char *, char *, char *);
export int vfilebak_abort (const char *fname,
	 const char *extbak,
	 char *ftmp,
	 char *fwork);
/* wild.c 22/11/91 23.59.14 */
export int wild_set (const char *str, WILD *wild);
export int wild_test (const char *str, const WILD *wild);
export void wild_setall (const char *tbsel[],
	 const char *tbuns[],
	 WILD_SELECT *sel);
export void wild_unsetall (WILD_SELECT *sel);
export int wild_testall (const char *str, const WILD_SELECT *sel);
/* wild1.c 21/10/89 01.06.44 */
int wild_split (char *str, char *tbuns[]);
/* wild2.c 06/05/91 17.24.50 */
export int wild_closer (const char *wild1,
	 const char *wild2,
	 const char *fname);
/* tool.h 22/02/92 15.30.48 */
