/* dir1.cc 31/01/1999 22.28.58 */
int dir_getlist (const char *path,
	 const char *select,
	 int nbsub,
	 char *tb_str[],
	 int max_str);
int dir_getlistp (const char *fpath,
	 int nbsub,
	 char *tb_str[],
	 int maxstr);
int dir_getlistd (const char *path,
	 const char *select,
	 int nbsub,
	 char *tb_str[],
	 int max_str);
int dir_getlistdp (const char *fpath,
	 int nbsub,
	 char *tb_str[],
	 int maxstr);
/* filedir1.cc 14/12/1999 17.42.10 */
int filedir_getlist (FILEDIR *fdir,
	 const char *wild,
	 char *tb[],
	 int maxtb,
	 const char *addpath);
/* filedir.cc 16/12/1999 00.42.54 */
int filedir_init (FILEDIR *fdir, const char *fincl, const char *fexcl);
void filedir_end (FILEDIR *fdir);
void filedir_setup (FILEDIR *fdir);
VFILE_SPEC *filedir_locate (FILEDIR *fdir, const char *fname);
int filedir_unlink (FILEDIR *fdir, const char *name);
/* hsort.cc 31/01/1999 22.32.16 */
void hsort (void *base,
	 int nbelm,
	 int sizeelm,
	 int (*cmp)(const void *p1, const void *p2));
/* macrodir.cc 31/01/1999 23.40.22 */
export const char *macrodir_getval (const char *macro, const char *def);
export int macrodir_repl (const char *path, char *repl);
export void macrodir_set (const char *macro, const char *val);
export void macrodir_free (void);
export void macrodir_setdef (const char *varname, const char *val);
/* path1.cc 14/12/1999 17.56.26 */
int path_simplifie (const char *path, char *newp);
int path_setabs0 (const char *cwd, const char *oldpath, char *newp);
int path_setabs (const char *oldpath, char *newp);
void path_make (const char *path, const char *name, char *filepath);
int path_isabs (const char *path);
int wild_split (char *str, char *tbuns[]);
int file_copy (const char *dirsrc,
	 const char *dirdst,
	 const char *namesrc,
	 const char *namedst);
int file_copyp (const char *pathsrc, const char *pathdst);
int file_statinfo (const char *fpath, FILEINFO *info);
int file_info (const char *filnam, unsigned long *date, long *size);
int file_infodos (const char *filnam, unsigned long *date, long *size);
int file_type (char const *pathname);
int vfile_exist (char const *pathname);
int file_rename (const char *present, const char *nouveau);
void file_chgext (const char *oldfile,
	 char *newfile,
	 const char *newext);
int file_renameext (const char *nomfch, const char *ext, int force);
int file_cmpext (const char *fname, const char *extcmp);
export void file_baseext (const char *fname, char *base, char *ext);
export int file_iswild (const char *fpath);
export int file_correspond (const char *list1,
	 const char *elm1,
	 const char *list2,
	 char *elm2);
export int file_fromwild (const char *filename, const char *wildname);
export int file_writeok (const char *fname);
export int file_setmode (const char *fname, int writeok);
export short unsigned date_currentu (void);
export short unsigned date_a2u (const char *date);
export unsigned long date_unix2dos (unsigned long date);
export int date_td2a (long datetime, char *str, int format);
export short unsigned time_currentu (void);
export short unsigned time_a2u0 (const char *time, char separ);
export short unsigned time_a2u (const char *time);
export int time_u2a0 (short unsigned time, char *str, char separ);
export int time_u2a (short unsigned time, char *str);
/* path2.cc 16/12/1999 01.37.28 */
int path_getcwd (char *path, int buflen);
int path_isroot (const char *path);
int path_chdir (const char *newpath);
int path_pushdir (const char *path, SAVEPATH *savepath);
int path_popdir (SAVEPATH *savepath);
/* path8.cc 31/01/1999 22.29.48 */
void path_stripabs (const char *src, char *dst);
char *path_skipabs (const char *path);
/* path.cc 31/01/1999 22.29.32 */
int path_issep (char carac);
void path_filename (const char *path, char *name);
void path_addback (char const *path, char *ret);
void path_stripsep (char const *path, char *ret);
void path_splitlex (char const *pathfile, char *path, char *file);
void path_split (char const *path, char *prmpath, char *file);
int path_parmsplit (char const *path, char *newpath, char *wild[]);
/* strip.cc 31/01/1999 22.29.52 */
void strip (char *str);
char *strip_end (char *str);
/* tbstr.cc 22/12/1999 01.07.02 */
void tbstr_sort (char *tb[], int nbstr);
int tbstr_delete (char *tbstr[], int nbstr, int nodelete, int dofree);
void tbstr_insert (char *tbstr[],
	 int nbstr,
	 const char *str,
	 int pos,
	 int dupli);
void tbstr_free (char *tb[], int nbelm);
int tbstr_len (const char *tbstr[], int nbstr);
int tbstr_maxlen (const char *tbstr[], int nbstr);
int tbstr_str2tb (const char *str, char mark, char *tb[]);
int tbstr_2str (const char *tbstr[],
	 int nbstr,
	 char mark,
	 char *str);
char *tbstr_2strdup (const char *tbstr[], int nbstr, char mark);
void tbstr_skipstrip (char *tb[], int nb);
char *str_skip (const char *str);
char *str_skipdig (const char *str);
char *str_skipword (const char *str);
char *str_nextword (const char *str);
char *str_skipnword (const char *str, int nbskip);
export int str_nbword (const char *str);
export char *str_copyword (char *dest, const char *str);
export char *str_copydig (char *dest, const char *str);
export char *fgets_strip0 (char *buf,
	 int sizebuf,
	 FILE *fin,
	 char contcar,
	 char comcar,
	 int *noline,
	 int *empty);
export char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE *fin,
	 char contcar,
	 char comcar,
	 int *noline);
export char *str_copymot (char *dest, const char *str);
export int str_strip (const char *str, char *newstr);
/* vcall.cc 14/12/1999 20.29.24 */
/* v_dir.cc 31/01/1999 22.30.10 */
int dir_gen (const char *path,
	 const char *select[],
	 const char *noselect[],
	 int subdir,
	 int (*fct)(const FILEINFO *info, const char *path, const char *add,
	 int nbf),
	 int depfirst);
int dir_gen_h (const char *path,
	 const char *select[],
	 const char *noselect[],
	 int subdir,
	 int (*fct)(const FILEINFO *info, const char *path, const char *add,
	 int nbf),
	 int depfirst);
int dir (const char *path,
	 const char *select,
	 int subdir,
	 int (*fct)(const FILEINFO *info, const char *path, const char *add,
	 int nbf));
/* vdir.cc 07/02/2000 17.10.36 */
int vdir_unlink (const char *fname);
int vdir_exist (const char *fname, char *pathreel);
export int vdir_getlist (const char *path,
	 const char *wild,
	 char *tb[],
	 int maxtb);
export int vdir_getlistp (const char *fwild, char *tb[], int maxtb);
export int vdir_getlistd (const char *path,
	 const char *wild,
	 char *tb[],
	 int maxtb);
export int vdir_getlistdp (const char *fwild, char *tb[], int maxtb);
/* vfssetup.cc 07/02/2000 14.38.22 */
/* vopen.cc 07/02/2000 17.11.40 */
/* wild.cc 31/01/1999 22.30.30 */
int wild_set (const char *str, WILD *wild);
int wild_test (const char *str, const WILD *wild);
void wild_setall (const char *tbsel[],
	 const char *tbuns[],
	 WILD_SELECT *sel);
void wild_unsetall (WILD_SELECT *sel);
int wild_testall (const char *str, const WILD_SELECT *sel);
