#include <tool.h>
#include "etc.h"

/*
	Convertit une date (date et heure) en long
	Le format accept est jj[/mm[/aa]][-hh[:mm[:ss]]"

	Si ascii est vide retourne la date courante
*/
export unsigned long date_anal (const char *ascii)
{
	short unsigned date;
	short unsigned time = 0;
	if (*ascii != '\0'){
		const char *ptdat = ascii;
		while (*ascii != '\0' && *ascii != '-') ascii++;
		if (*ascii == '-'){
			*(char*)ascii = '\0';
			date = date_a2u (ptdat);
			*(char*)ascii = '-';
			time = time_a2u(ascii+1);
		}else{
			date = date_a2u (ptdat);
		}
	}else{
		date = date_currentu();
		time = time_currentu();
	}
    return date_td2l (date,time);
}

