#include <stdio.h>
#include "etc.h"

/*
	Affiche un dump hexadcimal d'un buffer sur stdout.
*/
export void hexa_dump (const char buffer[], int dumpsiz)
{
	int i;
	int pos = 0;
	for (i=0; i<dumpsiz; i+=16){
		int j;
		if (pos % 128 == 0) printf ("\n");
		printf ("%04x : ",pos);
		pos += 16;
		for (j=i; j<i+16 && j<dumpsiz; j++){
			printf ("%02x ",buffer[j]);
		}
		for ( ;j<i+16; j++) printf ("   ");
		printf ("   ");
		for (j=i; j<i+16 && j<dumpsiz; j++){
			int carac = buffer[j];
			if (carac < 32) carac = '.';
			printf ("%c",carac);
		}
		printf ("\n");
	}
}

