#ifndef KEY_H
#define KEY_H
/*	21/04/87 : Jacques gelinas

    liste des codes standard independant du terminal
*/

/* liste des TYPCMD	*/
#define C_PHMOVE    1
#define C_PVMOVE    2
#define C_ADDCAR    3
#define C_FONCT     4
#define C_LHMOVE    5
#define C_LVMOVE    6
#define C_FKEY		7
#define C_CTRL		8
#define C_ALT		11

/* section usager */
#define C_USER		9
#define C_MENU		10
#define C_MOUSE		12
#define C_MOUSE_MV	13
#define C_MANAGER	14
#define C_SELECT	15		// select() system call

#define M_DELETW	1
#define M_RESIZE	2

/* definition des commandes de mouvement */

#define	MOV_NULL		0		/* pas de mouvement	*/
#define	MOV_NEG_1		1
#define MOV_NEG_PAG     2
#define MOV_POS_1       3
#define MOV_POS_PAG     4
#define MOV_HOM_PAG 	5
#define	MOV_END_PAG		6
#define MOV_HOM_TXT     7
#define MOV_END_TXT     8
#define MOV_POS_TAB 	9
#define MOV_NEG_TAB     10

/* liste des fonctions CMD associe au TYPCMD ==	C_FONCT	*/

#define F_MARK1   1
#define F_MARK2   2
#define F_CNTLC   3
#define	F_INSERT  4
#define	F_ENTER	  13
#define	F_CHRINS  14
#define	F_CHRDEL  15
#define	F_LININS  16
#define	F_LINDEL  17
#define	F_LINERA  18
#define	F_DELETE  19
#define	F_UNLERA  20
#define	F_UNDEL	  21
#define F_DELWRD  22
#define	F_ESCAPE  27
#define F_DELBLK  28
/*	Commande du clavier C_USER */

typedef enum {
	KU_NULL, KU_SAVE, KU_ABORT, KU_FIND, KU_FINDREG, KU_GRAB,
	KU_NEXT, KU_INFO, KU_MARK1, KU_MARK2, KU_HELP,
	KU_REPL, KU_GLOBAL, KU_GOTO,KU_DO, KU_REPLREG, KU_FINDCASE,
	KU_REPLCASE,
	KU_INFO2,		/* Recherche explosion split screen */
	KU_SPLITV,		/* Split vertical */
	KU_SPLITH		/* Split horizontal */
} KU;

/* Caracteres francais du IBM PC */
#define KEYIBM_EAIGU	'\202'

#define KEYIBM_AGRAVE	'\205'
#define KEYIBM_EGRAVE	'\212'
#define KEYIBM_UGRAVE	'\227'

#define KEYIBM_ACONFLEX	'\203'
#define KEYIBM_ECONFLEX	'\210'
#define KEYIBM_ICONFLEX '\214'
#define KEYIBM_OCONFLEX	'\223'
#define KEYIBM_UCONFLEX	'\226'

#define KEYIBM_CCDILLE	'\207'

/* Caracteres francais du IBM PC */
#define KEYISO_EAIGU    '\351'

#define KEYISO_AGRAVE   '\340'
#define KEYISO_EGRAVE   '\350'
#define KEYISO_UGRAVE	'\371'

#define KEYISO_ACONFLEX '\342'
#define KEYISO_ECONFLEX '\352'
#define KEYISO_ICONFLEX '\356'
#define KEYISO_OCONFLEX '\364' 
#define KEYISO_UCONFLEX	'\373'

#define KEYISO_CCDILLE  '\347'
 
#endif

