/*
	controle interactif des transfert de fichier entre l'espace
	d'intgration et la rfrence de groupe
*/
#include <string.h>
#include <misc.h>
#include "projet.h"
/*
	Premire extraction d'une rvision d'une projet.
	Cette extraction servira  faire la recompilation du projet.

	Il faut slectionner la rvision. On ne peut
	slectionner qu'une rvision de type REVISION_VERSION
	ou REVISION_INTEGRE.

	Retourne -1 si abandon ou erreur.
*/
int projet_setupbuild (
	USERINFO *user,
	const char *tbprj[],
	int   nbprj)
{
	int ret = -1;
	VERSION_DAT version(user);
	VERSION_ONE *rev = version.get (user->getrevsrc());
	if (rev != NULL){
		// On simule un usager bidon et on commande une extraction
		// comme pour un environnement usager
		USERBUILD build (rev->getversion(),&rev->rev);
		if (projet_chkusrenv(&build) != -1){
			ret = projet_get   (&build,tbprj,nbprj,0,1,1);
		}
	}
	return ret;
}
