#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <misc.h>
#include "projet.h"

/*
	Evite de ramasser un paquet d'objet inutile
*/
void error_showdef (int msg, ...)
{
	fprintf (stderr,"error %d\n",msg);
}
/*
	projet est maintenant un programme excuter via GEM et OS286.
	Il n'est plus possible de l'excuter de n'importe quel rpertoire.

	Ce programme sert donc  appeler projetp.c. Il recueille le
	rpertoire courant et l'crit dans un fichier portant le nom de l'usager
	et termine. Ca sauve de la mmoire.
	Ce programme est toujours appel via un fichier .bat qui appelera ensuite
	projetp.

	projet.bat dans une rpertoire spcifique.

	projetp.c rcupre le rpertoire.
*/

int main(int argc, char *argv[])
{
	char cwd[MAXSIZ_PATH];
	int ret = -1;
	char *prog = prog_getid(true);
	if (prog != NULL
		&& path_getcwd(cwd,sizeof(cwd))!=-1){
		char fname[MAXSIZ_PATH];
		sprintf (fname,"d:\\exe\\%s.cwd",prog);
		FILE *fout = fopen_err (fname,"w",1);
		fprintf (fout,"%s\n",cwd);
		fclose (fout);
		ret = 0;
	}
	return ret;
}

