/*
	Applique une commande sur tous les fichiers de l'archive
*/
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>
#include <misc.h>
#include "projet.h"

int main (int argc, char *argv[])
{
	int ret = -1;
	if (argc == 1){
		fprintf (stderr,"rcmd commande ...  ...\n");
	}else{
		// Concatne les mots de la commandes en une chaine.
		// Il y a surement un %s dans la chaine
		char ctrl[400];
		ctrl[0] = '\0';
		for (int a= 1; a<argc; a++){
			if (a > 1) strcat (ctrl," ");
			strcat (ctrl,argv[a]);
		}
		if (strstr(ctrl,"%s")==NULL){
			fprintf (stderr,"rcmd: la commande doit contenir un %%s\n");
		}else{
			char *tb[400];
			int nb = dir_getlistp ("*.?%v",0,tb,400);
			nb += dir_getlistp ("*.??%",0,tb+nb,400-nb);
			for (int i=0; i<nb; i++){
				// Applique la commande avec le nom du source et non de l'archive
				char cmd[400];
				char fname[MAXSIZ_NAME];
				strcpy (fname,tb[i]);
				char *pt = strchr(fname,'%');
				assert (pt != NULL);
				*pt = '\0';
				sprintf (cmd,ctrl,fname);
				printf ("%s\n",cmd);
				int val = rcs_system (cmd);
				printf ("SYSTEM[%d]\n",val);
			}
			tbstr_free (tb,nb);
		}
	}
	return ret;
}

