#include <string.h>
#include "projet.h"

/*
	Determine dans quel rvision, une rvision a t intgr
*/
PUBLIC void VERSION_DAT::setintgstatus()
{
	if (intgstatus != done){
		int nb = list.getnb();
		for (int i=0; i<nb; i++){
			VERSION_ONE *one = list.getitem(i);
			char *pt = one->info;
			if (pt != NULL){
				/* #Spcification: version.dat / format / intgration
					Le commentaire informatif indiquant qu'une rvision
					est le rsultat de l'intgration de plusieurs rvision
					est stricte. On analyse ces informations pour dterminer
					si une rvision a t intgre et par quel autre rvision.

					Le format doit tre

					;         + revision

					On utilise la cl " + " pour retrouver ce format.
				*/
				while ((pt=strstr(pt," + "))!=NULL){
					REVISION rev (pt+3);
					VERSION_ONE *src = get(&rev);
					if (src != NULL && src->integ == NULL) src->integ = one;
					pt += 3;
				}
			}
		}
		intgstatus = done;
	}
}

