#include <stdio.h>
#include <assert.h>
#include "ostool.h"
#include "commun.h"

/*
    Convertit en texte une date (format DOS) de fichier selon un format
	Retourne la longueur de la chaine produite
*/
export int date_u2a0(
	short unsigned date,
	char *str,
	int format)		/* 0=jj/mm/aaaa, 1 = aaaa/mm/jj, 2 = mm/jj/aaaa */
{
	int nb=0;
	if (format == 0){
		nb = sprintf (str,"%02d/%02d/%04d"
			,date & 0x1f
			,(date>>5) & 0xf
			,(date>>9) + 1980);
	}else if (format == 1){
		nb = sprintf (str,"%04d/%02d/%02d"
			,(date>>9) + 1980
			,(date>>5) & 0xf
			,date & 0x1f);
	}else if (format == 2){
		nb = sprintf (str,"%02d/%02d/%04d"
			,(date>>5) & 0xf
			,date & 0x1f
			,(date>>9) + 1980);
	}else{
		assert(0);
	}
	return nb;
}
/*
    Convertit une date de fichier
	Retourne la longueur de la chaine produite
*/
export int date_u2a	(short unsigned date,	char *str)
{
	return date_u2a0 (date,str,0);
}

