
#include <stdio.h>
#include "tool.h"

/*
	Separe une chaine contenant de wildcard en plusieurs chaine
	*.c,*.asm,toto donne trois chaine dans tbuns[]
	Retourne le nombre de chaine produite.

	Attention : La chaine str est modifie. Les virgules sont remplacees par
				des '\0'
*/

int wild_split (char *str, char *tbuns[])
{
    int nbuns=0;
    while (*str != '\0'){
        tbuns[nbuns++] = str;
        while (*str != '\0' && *str != ',') str++;
        if (*str == ',') *str++ = '\0';
    }
    tbuns[nbuns] = NULL;
    return (nbuns);
}
